%define fontdir %{_datadir}/fonts/liberation

Name:          liberation-fonts-ttf
Version:       2.1.5
Release:       1mamba
Summary:       Fonts to replace commonly used Microsoft Windows Fonts
Group:         System/Fonts
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           https://github.com/liberationfonts/liberation-fonts
Source:        https://github.com/liberationfonts/liberation-fonts.git/%{version}/liberation-fonts-%{version}.tar.bz2
#Source:        https://fedorahosted.org/releases/l/i/liberation-fonts/liberation-fonts-%{version}.tar.gz
Source1:       %{name}-conf
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: fontforge
BuildRequires: python-fontTools
Requires(pre): %{_bindir}/fc-cache
Provides:      liberation-fonts = %{?epoch:%epoch:}%{version}-%{release}
BuildArch:     noarch

%description
The Liberation Fonts are intended to be replacements for the three most commonly used fonts on Microsoft systems: Times New Roman, Arial, and Courier New.

%prep
%setup -q -n liberation-fonts-%{version}

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{fontdir}
install -m 0644 liberation-fonts-ttf-*/*.ttf %{buildroot}%{fontdir}

install -D -m 0644 %{S:1} \
   %{buildroot}%{_sysconfdir}/fonts/conf.avail/59-liberation-fonts.conf
install -d %{buildroot}%{_sysconfdir}/fonts/conf.d
pushd %{buildroot}%{_sysconfdir}/fonts/conf.d
ln -sf ../conf.avail/59-liberation-fonts.conf 59-liberation-fonts.conf
popd

mkfontdir %{buildroot}%{fontdir}
mkfontscale %{buildroot}%{fontdir}

%post
if [ -x /usr/bin/fc-cache ]; then
   /usr/bin/fc-cache %{_datadir}/fonts
fi
:

%postun
if [ "$1" = "0" ]; then
   if [ -x /usr/bin/fc-cache ]; then
      /usr/bin/fc-cache %{_datadir}/fonts
   fi
fi
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/fonts/conf.avail/59-liberation-fonts.conf
%{_sysconfdir}/fonts/conf.d/59-liberation-fonts.conf
%dir %{fontdir}
%{fontdir}/*.ttf
%verify(not md5 size mtime) %{fontdir}/fonts.dir
%verify(not md5 size mtime) %{fontdir}/fonts.scale
%doc LICENSE

%changelog
* Fri Oct 01 2021 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Mon Mar 01 2021 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Sun Dec 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-1mamba
- update to 2.1.1

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 2.00.1-1mamba
- automatic version update by autodist

* Sun Aug 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.0-1mamba
- update to 2.00.0

* Mon Oct 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.07.1-1mamba
- update to 1.07.1

* Fri Jun 03 2011 Automatic Build System <autodist@mambasoft.it> 1.07.0-1mamba
- automatic update by autodist

* Mon Nov 08 2010 Automatic Build System <autodist@mambasoft.it> 1.06.0.20100721-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 1.05.3.20100621-1mamba
- automatic update by autodist

* Mon Oct 19 2009 Automatic Build System <autodist@mambasoft.it> 1.05.2.20091019-1mamba
- automatic update by autodist

* Wed Jul 22 2009 Automatic Build System <autodist@mambasoft.it> 1.05.1.20090721-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 1.05.1.20090706-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.04-1mamba
- update to 1.04

* Tue Apr 29 2008 Aleph0 <aleph0@openmamba.org> 1.0-1mamba
- update to 1.0
- create fonts.dir and fonts.scale

* Sun Nov 18 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.2-3mamba
- added fonts configuration file
- changed architecture to noarch

* Fri Sep 28 2007 Aleph0 <aleph0@openmamba.org> 0.2-2mamba
- fixed specfile name

* Mon Jul 30 2007 Aleph0 <aleph0@openmamba.org> 0.2-1mamba
- package created by autospec
